Subject: Error: "... sync_with_child ..." using scripts on WinNT 4 SP6
From: Matthias Steppuhn <[email-masked]>
To: [email-masked]
Date: Thu, 21 Feb 2002 17:42:50 +0100

Hello,
I have been using shell scripts under cygwin a while ago with out any
problem.
Today I wanted to use one script again, but an error occured. I alreaded
installed
the most recent cygwin-files. It did not really help me. Using a
different PC braught
a very simmilar result.

The script is using a "normal" rsh-call:
            rsh    -l     myuser    myhost    ls -ltr

When I type it on interactive shell it works perfect, but used in a
script I only receive.
8<------------------------------->8
0 [main] rsh 329 sync_with_child: child 260(0x138) died before
initialization with status code 0x18B00
316 [main] rsh 329 sync_with_child: *** child state child loading dlls
/bin/rsh: fork: Resource temporarily unavailable
8<------------------------------>8
Using cygcheck in front of the "rsh" tells me:
8<-------------------->8
C:\cygwin\bin\rsh.exe
  C:\cygwin\bin\cygwin1.dll
    C:\WINNT\System32\KERNEL32.dll
      C:\WINNT\System32\ntdll.dll
8<-------------------->8

Does anyone have an idea what might be wrong or where to read something
that helps me

Thanks a lot!
    Matthias Steppuhn

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/